WordPress.org

Ready to get started?Download WordPress

Forums

[Plugin: Welcome Pack] Stopped working after upgrading to any version 2.0 or after (4 posts)

  1. mikeyr
    Member
    Posted 4 years ago #

    I am developing a closed bp site in my spare time, and I am a newb to all of this, so excuse me if I simply missed something. But I have been using welcome pack for quite a while, and have upgraded to wp 2.9. and bp 1.2.3, and had welcome pack 1.64, and upgraded every time there was an upgrade...

    Everything seemed to be working fine with the plugin, i could edit all of the settings, but I noticed that the new users i was adding for testing weren't accepting the friend request, rather requesting to be my friend... which made me look into see if the plugin was working, and it wasn't sending the email nor sending initial friend invite. there is nothing in the error log to help explain. after a couple of days, I just uninstalled and went back to v1.64, and everything is working again. ( I tried to upgrade to latest version again, and it stopped working again.) (The other interesting thing, was when I do upgrade, I didn't have to retype all of the settings, which is noted as something that would need to be done when upgrading to 2.0)

    So I was wondering if I was missing something, or if there is something I can do to make the latest version work. I can stay with the old one, but it would be nice to get the new features added.

    thank you so much for your time

    http://wordpress.org/extend/plugins/welcome-pack/

  2. Hi mikeyr
    As long as you're using WP/MU 2.9, BuddyPress 1.2.3, Welcome Pack should work without issue.

    Did you re-enter your settings when you went to from 1.64 to 2.0? I changed how the data was stored, which means you'd have had blank settings and therefore nothing sent.

    The actual "send email" code hasn't changed - it's only really the admin screen new in 2.0.

    Regards
    Paul

  3. mikeyr
    Member
    Posted 4 years ago #

    Thanks for getting back to me DJPaul, I am using both of those versions, and when I upgrade out of 1.64 into 2.0 it doesn't require that I put new settings in, it keeps my old settings just as they are.

    Are the db tables I can delete and try to install 2.x?

  4. No tables, but remove the 'welcomepack' record, which might be in your _options and _sitemeta tables.

Topic Closed

This topic has been closed to new replies.

About this Topic